<script lang="ts">
    import Data from './data/Data.svelte'
    import Explore from './explore/Explore.svelte'
    import Checkbox from '../ui/Checkbox.svelte'

    import { associations } from './common/associations'
    import { debug } from './common/debug'

    let tab = 'data'
</script>

<div class="mb-2">
    <img src="./img/logo-mobile-nl@4x.png" alt="Rijkswaterstaat"
         class="mx-auto" width="270" height="72">
</div>

<span class="text-sm opacity-25 absolute top-0 left-0 p-2">
    <Checkbox bind:checked={$debug}>debug</Checkbox>
</span>

<div class="bg-geel text-lg lg:text-2xl print:hidden">
    <span class="font-semibold mx-8" on:click={() => tab = 'data'}>HNet Dashboard</span>

    <button on:click={() => tab = 'data'} class="hnet-tab" class:active={tab === 'data'}>
        Data
    </button>
    <button on:click={() => tab = 'explore'} class="hnet-tab" class:active={tab === 'explore'}
            disabled={!$associations}>
        Explore
    </button>
</div>

{#if tab === 'data'}
    <Data on:next={() => { tab = 'explore' }}/>
{:else if tab === 'explore'}
    <Explore/>
{/if}

<style>
    .hnet-tab {
        @apply px-6 pt-2 pb-1 border-b-4 border-transparent;
    }

    .hnet-tab:hover {
        @apply bg-geel-1 border-geel-1;
    }

    .hnet-tab.active {
        @apply bg-geel-1 border-hemelblauw;
    }


    .hnet-tab:disabled {
        @apply text-grijs-5 cursor-not-allowed;
    }


</style>